### Method

# GLib Source get_current_time

deprecated: 2.28

#### Declaration

    void
    g_source_get_current_time (
      GSource* source,
      GTimeVal* timeval
    )

#### Description

This function ignores `source` and is otherwise the same as g_get_current_time().

Deprecated since: 2.28

Use `g_source_get_time()` instead.

#### Parameters

`timeval`

  Type: `GTimeVal`

  `GTimeVal` structure in which to store current time.

  The data is owned by the caller of the method.